Subject: bug#6430: Emacs WINDOWS truncates exit status of processes to 8 bits

From: Stefan Kangas <[email-masked]>
Date: Wed, 18 Nov 2020 20:05:18 -0800

tags 6430 + wontfix
close 6430
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Óscar Fuentes <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 16 Jun 2016 19:56:48 +0200
>>
>> cl.exe, for instance, uses the codes in winerror.h for reporting
>> failures:
>>
>> https://msdn.microsoft.com/en-us/library/ebh0y918.aspx
>
> Those are just the normal error codes in disguise, and the ones
> relevant to cl.exe are all below 255 (when the top 2 bits are
> stripped).  So I see no problem here with the 8-bit limitation of the
> status we report.

There was a discussion here where both Noam and Eli seemed to think
there is no bug.  And I only see one differing opinion from that; in any
case, it seems unlikely we will do anything about this.

I'm therefore closing this bug report.

If anyone really feels strongly about this, I suppose they should
reopen the bug or propose a patch for discussion.